import {EventEmitter2} from 'eventemitter2';

export class StreamRecorder {
	public constructor(mediaStream: MediaStream);
	public emitter: EventEmitter2;

	/**
	 * Indicates if the audio of the call must be recorded
	 */
	public isAudioRecordingEnabled: boolean;

	/**
	 * Indicates if the video of the call must be recorded
	 */
	public isVideoRecordingEnabled: boolean;

	/**
	 * Pauses the recording
	 */
	public pause(): void;

	/**
	 * Resumes the recording
	 */
	public resume(): void;

	/**
	 * Starts the recording
	 */
	public start(): void;

	/**
	 * Stops the recording
	 */
	public stop(): void;
}
