import { Observable } from 'rxjs';
import { PresenceService } from '../wac-proxy/wac-stack/presence/PresenceService';
import { PresenceState } from './PresenceState';
/**
 * Allows retrieving and updating presence related information of the current user.
 * An instance of this class must be obtained using {@link Session.getPresence}.
 */
export declare class Presence {
    private presenceService;
    private ownId;
    /**
     * Allows access to the current presence information.
     */
    readonly state$: Observable<PresenceState>;
    constructor(presenceService: PresenceService, ownId: string);
    /**
     * Allows updating current user presence information
     */
    update(presence: Partial<PresenceState>): Observable<void>;
}
