import { Observable } from 'rxjs';
import { WacRequest } from '../WacRequest';
import { AddressBook, AddressBookEvent, AddressBooksQuery, ContactDto } from './types';
export declare class ContactService {
    private wacRequest;
    readonly contactEvent$: Observable<AddressBookEvent>;
    constructor(wacRequest: WacRequest);
    getContacts$(query?: AddressBooksQuery): Observable<AddressBook[]>;
    createContact(data: ContactDto): Promise<void>;
    updateContact(contact: ContactDto): Promise<void>;
    deleteContact(id: string): Promise<void>;
}
