import { WapiEvent } from '@quobis/wapi-client';
export declare type PresenceDto = Readonly<{
    id: string;
    address: string;
    online: boolean;
    activity: PresenceActivity;
    mood: PresenceMood;
    note: string;
    avatar: string;
    avatarUrl?: string;
    displayName: string;
    username: string;
    domain: string;
    role: 'anonymous' | 'user';
}>;
export interface PresenceEvent extends WapiEvent {
    method: 'PUT';
    body: PresenceDto;
}
export declare type PresenceActivity = 'appointment' | 'away' | 'breakfast' | 'busy' | 'dinner' | 'holiday' | 'inTransit' | 'lookingForWork' | 'lunch' | 'meal' | 'meeting' | 'onThePhone' | 'other' | 'performance' | 'permanentAbsence' | 'playing' | 'presentation' | 'shopping' | 'sleeping' | 'spectator' | 'steering' | 'travel' | 'tv' | 'unknown' | 'vacation' | 'working' | 'worship';
export declare type PresenceMood = 'afraid' | 'amazed' | 'angry' | 'annoyed' | 'anxious' | 'ashamed' | 'bored' | 'brave' | 'calm' | 'cold' | 'confused' | 'contented' | 'cranky' | 'curious' | 'depressed' | 'disappointed' | 'disgusted' | 'distracted' | 'embarrassed' | 'excited' | 'flirtatious' | 'frustrated' | 'grumpy' | 'guilty' | 'happy' | 'hot' | 'humbled' | 'humiliated' | 'hungry' | 'hurt' | 'impressed' | 'in_awe' | 'in_love' | 'indignant' | 'interested' | 'invincible' | 'jealous' | 'lonely' | 'mean' | 'moody' | 'nervous' | 'neutral' | 'offended' | 'other' | 'playful' | 'proud' | 'relieved' | 'remorseful' | 'restless' | 'sad' | 'sarcastic' | 'serious' | 'shocked' | 'shy' | 'sick' | 'sleepy' | 'stressed' | 'surprised' | 'thirsty' | 'unknown' | 'worried';
